Reply
Highlighted
Posts: 15
Registered: ‎03-08-2017
Accepted Solution

NVM Driver in Flex SDK 1.0.1

[ Edited ]

Hi All,

I started with EFR32MG1P MCU, and installed the Flex SDK 1.0.1 through Simplicity Studio(v4), but I didn't find the NVM driver under the flex/v1.0.1.0/platform/emdrv.

 

However, I saw some updates about NVM in the Changes-emdrv.txt. 

5.0.0:

    - NVM: Fixed definition of error codes to use ECODE_EMDRV_NVM_BASE.

 

Could you please point me out where the NVM drivers locates within the Flex SDK folder?

 

BTW, I can find NVM driver under /emdrv within RAIL SDK 1.3.1.0 version.

 

Appreciate any reply.

 

Thanks,

Xiao

Posts: 2,218
Registered: ‎10-14-2014

Re: NVM Driver in Flex SDK 1.0.1

I talked with wireless team and it looks like there are something wrong happened.

I will continue checking this with development team and thanks a lot for bringing this out to our attention.

Denver

WeiguoLu
Posts: 15
Registered: ‎03-08-2017

Re: NVM Driver in Flex SDK 1.0.1

Hi Denver,

 

Thanks a lot for this confirmation. And I notice that Simplicity Studio has some update about Flex SDK in recent, until now the latest version is 1.1.0.0. NVM driver is also included in this release. I can use that instead.

 

BTW, may I have a question about the version of rail-lib included in Flex SDK 1.1.0.0? Where can I find a release note for the rail-lib?

 

Thanks,

Xiao